## swaylock 1.3

=== meson_options.txt ===
option('swaylock-version', type : 'string', description: 'The version string reported in `swaylock --version`')
option('pam', type: 'feature', value: 'auto', description: 'Use PAM instead of shadow')
option('gdk-pixbuf', type: 'feature', value: 'auto', description: 'Enable support for more image formats')
option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')
option('zsh-completions', type: 'boolean', value: true, description: 'Install zsh shell completions')
option('bash-completions', type: 'boolean', value: true, description: 'Install bash shell completions')
option('fish-completions', type: 'boolean', value: true, description: 'Install fish shell completions')

=== debian/changelog ===
swaylock (1.3-2) unstable; urgency=medium

  * Add patch to install zsh completion into correct directory

 -- Birger Schacht <birger@rantanplan.org>  Sun, 03 Mar 2019 18:27:15 +0100

swaylock (1.3-1) unstable; urgency=medium

  * Initial packaging (Closes: 921497)

 -- Birger Schacht <birger@rantanplan.org>  Sat, 09 Feb 2019 11:26:23 +0100

=== debian/control ===
Source: swaylock
Section: x11
Priority: optional
Maintainer: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
Uploaders: Birger Schacht <birger@rantanplan.org>
Build-Depends:
 debhelper-compat (= 12),
 libwayland-dev,
 wayland-protocols,
 libcairo2-dev,
 libgdk-pixbuf2.0-dev,
 libpam0g-dev,
 libxkbcommon-dev,
 meson,
 pkgconf,
 scdoc
Standards-Version: 4.3.0
Homepage: https://github.com/swaywm/swaylock
Vcs-Browser: https://salsa.debian.org/bisco-guest/swaylock
Vcs-Git: https://salsa.debian.org/bisco-guest/swaylock.git
Rules-Requires-Root: no

Package: swaylock
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: Screen locker for Wayland
 swaylock is a screen locking utility for Wayland compositors. It is compatible
 with any Wayland compositor which implements the following Wayland protocols:
 wlr-layer-shell, wlr-input-inhibitor, xdg-output, xdg-shell

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DH_OPTIONS=-v

include /usr/share/dpkg/pkg-info.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dswaylock-version=$(DEB_VERSION_UPSTREAM)

## swaylock 1.4

=== debian/changelog ===
swaylock (1.4-1) unstable; urgency=medium

  * New upstream release
  * d/rules: remove override_dh_auto_configure- it was only
    there to set the version and that did not work
  * d/patches: add patch to set the upstream version in the buildfile
  * d/patches: refresh manpage patch
  * d/gitlab-ci.yml: Add a basic gitlab ci configuration
  * d/control: Set versions for build dependencies as specified
    by upstream build file

 -- Birger Schacht <birger@rantanplan.org>  Sat, 18 May 2019 19:00:50 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends:
  debhelper-compat (= 12),
  libwayland-dev,
- wayland-protocols,
+ wayland-protocols (>=1.14),
  libcairo2-dev,
  libgdk-pixbuf2.0-dev,
  libpam0g-dev,
  libxkbcommon-dev,
- meson,
+ meson (>=0.48),
  pkgconf,
  scdoc
 Standards-Version: 4.3.0

## swaylock 1.5

=== debian/changelog ===
swaylock (1.5-2ubuntu1) impish; urgency=medium

  * Add d/p/0004-Call-fclose-vice-free-fixes-198.patch to fix GCC-11 FTBFS
    Cherry-picked from upstream commit 366db5

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 10 Aug 2021 10:12:42 +0200

swaylock (1.5-2) unstable; urgency=medium

  * Source only upload as-is.

 -- Birger Schacht <birger@rantanplan.org>  Mon, 10 Feb 2020 11:14:16 +0100

swaylock (1.5-1) unstable; urgency=medium

  * New upstream release
  * Added d/gbp.conf file
  * d/control:
    + Updated Vcs-* URLs for new repository
    + Updated Maintainer and Uploaders field
    + Bump Standards-Version to 4.5.0 (no changes required)
  * d/patches:
    + updated 0003-Fix-the-version-in-the-buildfile.patch
    + updated 0001-Workaround-a-bug-in-scdoc.patch

 -- Birger Schacht <birger@rantanplan.org>  Tue, 04 Feb 2020 22:17:12 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: swaylock
 Section: x11
 Priority: optional
-Maintainer: Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
-Uploaders: Birger Schacht <birger@rantanplan.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Uploaders: Birger Schacht <birger@rantanplan.org>,
+           Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
 Build-Depends:
  debhelper-compat (= 12),
  libwayland-dev,
@@ -14,10 +16,10 @@
  meson (>=0.48),
  pkgconf,
  scdoc
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/swaywm/swaylock
-Vcs-Browser: https://salsa.debian.org/bisco-guest/swaylock
-Vcs-Git: https://salsa.debian.org/bisco-guest/swaylock.git
+Vcs-Browser: https://salsa.debian.org/swaywm-team/swaylock
+Vcs-Git: https://salsa.debian.org/swaywm-team/swaylock.git
 Rules-Requires-Root: no
 
 Package: swaylock

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,3 @@
 
 %:
 	dh $@
-
-override_dh_auto_configure:
-	dh_auto_configure -- -Dswaylock-version=$(DEB_VERSION_UPSTREAM)

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((rc|beta|alpha)[\d.]*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/swaylock-$1\.tar\.gz/,\
pgpsigurlmangle=s/archive\/v?(\d\S+)\.tar\.gz/releases\/download\/$1\/swaylock-$1\.tar\.gz\.sig/ \
  https://github.com/swaywm/swaylock/releases .*/archive/v?(\d\S+)\.tar\.gz

## swaylock 1.6

=== debian/changelog ===
swaylock (1.6-2) unstable; urgency=medium

  * Fix d/watch file

 -- Birger Schacht <birger@debian.org>  Wed, 20 Apr 2022 13:04:49 +0200

swaylock (1.6-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set field Upstream-Name in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

  [ Birger Schacht ]
  * New upstream release
  * Bump standards version to 4.6.0.1 (no changes required)
  * Update uploader email address
  * Bump year range in d/copyright and update email address
  * Bump debhelper compat version to 13
  * Drup filenamemangle option from d/watch
  * Drop version fix patch

 -- Birger Schacht <birger@debian.org>  Fri, 11 Mar 2022 11:06:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: swaylock
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
-Uploaders: Birger Schacht <birger@rantanplan.org>,
+Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Uploaders: Birger Schacht <birger@debian.org>,
            Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  libwayland-dev,
  wayland-protocols (>=1.14),
  libcairo2-dev,
@@ -16,7 +15,7 @@
  meson (>=0.48),
  pkgconf,
  scdoc
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: https://github.com/swaywm/swaylock
 Vcs-Browser: https://salsa.debian.org/swaywm-team/swaylock
 Vcs-Git: https://salsa.debian.org/swaywm-team/swaylock.git

## swaylock 1.7

=== debian/changelog ===
swaylock (1.7-1) unstable; urgency=medium

  * New upstream version
  * Bump standards version

  [ Fabian Grünbichler ]
  * d/control: correct version meson

 -- Birger Schacht <birger@debian.org>  Mon, 28 Nov 2022 08:16:24 +0100

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
  libgdk-pixbuf2.0-dev,
  libpam0g-dev,
  libxkbcommon-dev,
- meson (>=0.48),
+ meson (>=0.59),
  pkgconf,
  scdoc
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/swaywm/swaylock
 Vcs-Browser: https://salsa.debian.org/swaywm-team/swaylock
 Vcs-Git: https://salsa.debian.org/swaywm-team/swaylock.git

## swaylock 1.7.2

=== meson_options.txt ===
--- 
+++ 
@@ -1,4 +1,3 @@
-option('swaylock-version', type : 'string', description: 'The version string reported in `swaylock --version`')
 option('pam', type: 'feature', value: 'auto', description: 'Use PAM instead of shadow')
 option('gdk-pixbuf', type: 'feature', value: 'auto', description: 'Enable support for more image formats')
 option('man-pages', type: 'feature', value: 'auto', description: 'Generate and install man pages')

=== debian/changelog ===
swaylock (1.7.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:20:54 +1100

swaylock (1.7.2-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 07:02:32 +0000

swaylock (1.7.2-1) unstable; urgency=medium

  * New upstream version

 -- Birger Schacht <birger@debian.org>  Mon, 30 Jan 2023 18:32:19 +0100

swaylock (1.7.1-1) unstable; urgency=medium

  * New upstream version
  * Update zsh completion target directory patch
  * Bump standards version
  * Update build dependency name pixbuf2.0 -> pixbuf-2.0
  * Bump years in d/copyright

 -- Birger Schacht <birger@debian.org>  Fri, 27 Jan 2023 12:30:36 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: swaylock
 Section: x11
 Priority: optional
-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>,
            Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
 Build-Depends:
@@ -9,13 +10,13 @@
  libwayland-dev,
  wayland-protocols (>=1.14),
  libcairo2-dev,
- libgdk-pixbuf2.0-dev,
+ libgdk-pixbuf-2.0-dev,
  libpam0g-dev,
  libxkbcommon-dev,
  meson (>=0.59),
  pkgconf,
  scdoc
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/swaywm/swaylock
 Vcs-Browser: https://salsa.debian.org/swaywm-team/swaylock
 Vcs-Git: https://salsa.debian.org/swaywm-team/swaylock.git

## swaylock 1.8.0

=== debian/changelog ===
swaylock (1.8.0-1) unstable; urgency=medium

  * New upstream version

 -- Birger Schacht <birger@debian.org>  Sat, 24 Aug 2024 15:53:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: swaylock
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
+Maintainer: Sway and related packages team <team+swaywm@tracker.debian.org>
 Uploaders: Birger Schacht <birger@debian.org>,
            Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
 Build-Depends:

## swaylock 1.8.2

=== debian/changelog ===
swaylock (1.8.2-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sat, 22 Mar 2025 19:20:12 +0100

swaylock (1.8.1-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Fri, 21 Mar 2025 17:45:37 +0100

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((rc|beta|alpha)[\d.]*)$/$1~$2/,\
pgpsigurlmangle=s/archive\/v?(\d\S+)\.tar\.gz/releases\/download\/$1\/swaylock-$1\.tar\.gz\.sig/ \
  https://github.com/swaywm/swaylock/tags .*/v?(\d\S+)\.tar\.gz

## swaylock 1.8.3

=== debian/changelog ===
swaylock (1.8.3-1) unstable; urgency=medium

  * New upstream release
  * Drop pristine-tar from debian/gbp.conf

 -- Birger Schacht <birger@debian.org>  Mon, 18 Aug 2025 19:33:32 +0200

## swaylock 1.8.4

=== debian/changelog ===
swaylock (1.8.4-1) unstable; urgency=medium

  * New upstream version
  * Update debian/watch to version 5 format
  * Bump Standards-Version in debian/control
  * Drop redundant Rules-Requires-Root field in debian/control
  * Update copyright years in debian/copyright

 -- Birger Schacht <birger@debian.org>  Sun, 09 Nov 2025 09:34:14 +0100

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,10 @@
  meson (>=0.59),
  pkgconf,
  scdoc
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/swaywm/swaylock
 Vcs-Browser: https://salsa.debian.org/swaywm-team/swaylock
 Vcs-Git: https://salsa.debian.org/swaywm-team/swaylock.git
-Rules-Requires-Root: no
 
 Package: swaylock
 Architecture: any

=== debian/watch ===
Version: 5

Source: https://github.com/swaywm/swaylock
Matching-Pattern: refs/tags/@ANY_VERSION@
Mode: git
Pgp-Mode: gittag
